Bug 466577 - Satellite 5.1+ upgrade (which moves to sun jvm) should remove the old ibm java packages
Satellite 5.1+ upgrade (which moves to sun jvm) should remove the old ibm jav...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Upgrades (Show other bugs)
510
All Linux
medium Severity medium
: ---
: ---
Assigned To: Milan Zázrivec
Jeff Browning
:
Depends On:
Blocks: 456986
  Show dependency treegraph
 
Reported: 2008-10-10 18:44 EDT by Xixi
Modified: 2009-08-27 13:37 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-27 13:37:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xixi 2008-10-10 18:44:09 EDT
Description of problem:

Satellite 5.1 and above has migrated to sun jvm from ibm, so it should remove the ibm java rpms as part of the upgrade process. For example, compare the pkgs on fresh installed vs. upgraded 5.1 Satellites:

Fresh install 5.1.1 -

[root@~]# rpm -qa |grep -i java|sort
java-1.5.0-sun-1.5.0.16-1jpp.2.el4
java-1.5.0-sun-devel-1.5.0.16-1jpp.2.el4
javacc-3.2-1jpp_1rh
javamail-1.3.1-1jpp_3rh
javassist-3.0-2jpp_1rh
rhn-java-config-sat-5.1.1-19
rhn-java-lib-sat-5.1.1-19
rhn-java-sat-5.1.1-19

Upgraded 5.1.0 -

[root@~]# rpm -qa |grep -i java|sort
java-1.4.2-ibm-1.4.2.7-1jpp.4.el4
java-1.4.2-ibm-devel-1.4.2.7-1jpp.4.el4
java-1.5.0-sun-1.5.0.15-1jpp.2.el4
java-1.5.0-sun-devel-1.5.0.15-1jpp.2.el4
javacc-3.2-1jpp_1rh
javamail-1.3.1-1jpp_3rh
javassist-3.0-2jpp_1rh
rhn-java-config-sat-5.1.0-88
rhn-java-lib-sat-5.1.0-88
rhn-java-sat-5.1.0-88

Version-Release number of selected component (if applicable):
Satellite 5.1.0+

How reproducible:
Always

Steps to Reproduce:
1. Upgrade satellite to 5.1 from an earlier version, check java pkgs.
2.
3.
  
Actual results:
Both sun and ibm java rpms.

Expected results:
Only sun java rpms.

Additional info:
This doesn't appear to cause issues so far, so it's more or less a cleanup / consistency thing.
Comment 1 Brandon Perkins 2008-10-14 11:52:25 EDT
Actually, this bug should be to remove the Sun JVM as every previous JVM version and every future JVM version will be the IBM JVM.  So, if we are doing an upgrade from 5.1 on i386 or x86_64, we should detect if the Sun JVM is installed and prompt if they want to remove.  We should not exit if they don't want it removed as it doens't hurt anything.
Comment 2 Milan Zázrivec 2009-04-16 07:49:29 EDT
spacewalk.git master:
e138787b6f0c6a4a982c47cfb9953c439153ba00
93126cddf068c6915b6de5e413265f15abcc3c5f
3479034cc66b7ea4742da7a12c5509f3b3e6581a

spacewalk.git VADER:
236d96308f0967376e6a2b51ede82ce02e884510
036106f6dae99d3fc78d62e33198c48a4f8d8eb0
3c9b4c31d459da1101b060c1350337531c98ec68

Setup will prompt whether it should remove java packages it had detected
previously (or via answer file: remove-old-jvm  = y).
Comment 3 Milan Zázrivec 2009-04-23 06:23:28 EDT
spacewalk-setup-0.5.27-5
Comment 4 Jeff Browning 2009-06-16 16:42:09 EDT
Verified
Comment 5 Sayli Karmarkar 2009-08-13 16:37:46 EDT
Upgraded sat:

[root@test04-64 ~]# rpm -qa |grep -i java|sort

java-1.4.2-gcj-compat-1.4.2.0-40jpp.115
java-1.6.0-ibm-1.6.0.4-1jpp.1.el5
java-1.6.0-ibm-devel-1.6.0.4-1jpp.1.el5
spacewalk-java-0.5.44-37.el5sat
spacewalk-java-config-0.5.44-37.el5sat
spacewalk-java-lib-0.5.44-37.el5sat

Fresh install:

[root@rhndev1 ~]# rpm -qa |grep -i java|sort
java-1.6.0-ibm-1.6.0.4-1jpp.1.el4
java-1.6.0-ibm-devel-1.6.0.4-1jpp.1.el4
javacc-4.0-2jpp.el4ep1.3
javassist-3.8.0-1.ep1.el4
spacewalk-java-0.5.44-38.el4sat
spacewalk-java-config-0.5.44-38.el4sat
spacewalk-java-lib-0.5.44-38.el4sat


ibm-java packages are installed and sold sun packages removed as expected.
Comment 6 Brandon Perkins 2009-08-27 13:37:39 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1235.html

Note You need to log in before you can comment on or make changes to this bug.